%define srcname    spatialite
%define major      7
%define libname    %mklibname %{srcname} %{major}
%define libnamedev %mklibname %{srcname} -d

%define subrel 1
Name:           libspatialite
Version:        5.0.1
Release:        %mkrel 4
Summary:        SQLite Spatial SQL extension
License:        GPLv2
Group:          System/Libraries
Url:            https://www.gaia-gis.it/fossil/libspatialite/index

Source0:        http://www.gaia-gis.it/gaia-sins/%{name}-%{version}.tar.gz

BuildRequires:  pkgconfig(freexl)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(minizip)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  geos-devel
BuildRequires:  pkgconfig(proj)
BuildRequires:  pkgconfig(rttopo)

%description
SpatiaLite is an open source library intended to extend the SQLite core to
support fully fledged Spatial SQL capabilities.

%package -n %{libname}
Summary:        SQLite Spatial SQL extension
Group:          System/Libraries

%description -n %{libname}
SpatiaLite is an open source library intended to extend the SQLite core to
support fully fledged Spatial SQL capabilities.
SQLite is intrinsically simple and lightweight:
- a single lightweight library implementing the full SQL engine
- standard SQL implementation: almost complete SQL-92
- no complex client/server architecture
- a whole database simply corresponds to a single monolithic file (no size
  limits)
- any DB-file can be safely exchanged across different platforms, because the
  internal architecture is universally portable
- no installation, no configuration
SpatiaLite is smoothly integrated into SQLite to provide a complete and
powerful Spatial DBMS (mostly OGC-SFS compliant).
Using SQLite + SpatiaLite you can effectively deploy an alternative open
source Spatial DBMS roughly equivalent to PostgreSQL + PostGIS.

%package -n %{libnamedev}
Summary:        Development files for %{name}
Group:          Development/Databases
Requires:       %{libname} = %{version}-%{release}
Provides:       %{srcname}-devel = %{version}-%{release}

%description -n %{libnamedev}
Development files needed to build software using %{name}.

%prep
%setup -q

%build
%configure --enable-static=no
%make_build

%install
%make_install

find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{major}.*

%files -n %{libnamedev}
%{_includedir}/spatialite*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Fri Nov 11 2022 squidf <squidf> 5.0.1-4.1.mga9
+ Revision: 1905762
- Use lib64freexl

* Fri Nov 11 2022 squidf <squidf> 5.0.1-4.mga9
+ Revision: 1905725
- Add FreeXL support

* Sat May 07 2022 eatdirt <eatdirt> 5.0.1-3.mga9
+ Revision: 1856583
- Rebuild for new proj

* Tue Mar 29 2022 umeabot <umeabot> 5.0.1-2.mga9
+ Revision: 1833559
- Mageia 9 Mass Rebuild

* Wed Mar 03 2021 daviddavid <daviddavid> 5.0.1-1.mga9
+ Revision: 1696740
- new version: 5.0.1

* Wed Dec 16 2020 neoclust <neoclust> 5.0.0-2.mga8
+ Revision: 1658093
- Rebuild because of missing signature

* Tue Dec 15 2020 daviddavid <daviddavid> 5.0.0-1.mga8
+ Revision: 1657809
- new version: 5.0.0

* Fri Mar 20 2020 eatdirt <eatdirt> 4.3.0a-10.mga8
+ Revision: 1558180
- Rebuild for new libproj

* Sat Feb 15 2020 umeabot <umeabot> 4.3.0a-9.mga8
+ Revision: 1524843
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Mar 31 2019 daviddavid <daviddavid> 4.3.0a-8.mga7
+ Revision: 1383705
- rebuild for arm

* Thu Mar 07 2019 eatdirt <eatdirt> 4.3.0a-7.mga7
+ Revision: 1372236
- Rebuild for new proj

* Sun Sep 23 2018 umeabot <umeabot> 4.3.0a-6.mga7
+ Revision: 1299161
- Mageia 7 Mass Rebuild

* Sat Jun 09 2018 wally <wally> 4.3.0a-5.mga7
+ Revision: 1235790
- fix build on aarch64

* Sat Mar 17 2018 daviddavid <daviddavid> 4.3.0a-4.mga7
+ Revision: 1210010
- rebuild for new proj 5.0.0

* Tue Nov 21 2017 tv <tv> 4.3.0a-3.mga7
+ Revision: 1178360
- rebuild for new libproj
+ eatdirt <eatdirt>
- Rebuild for new libproj

* Thu May 19 2016 eatdirt <eatdirt> 4.3.0a-1.mga6
+ Revision: 1016891
- Upgrade to version 4.3.0a

* Fri Feb 05 2016 umeabot <umeabot> 4.2.0-5.mga6
+ Revision: 937461
- Mageia 6 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 4.2.0-4.mga6
+ Revision: 937014
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 4.2.0-3.mga5
+ Revision: 745172
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.2.0-2.mga5
+ Revision: 681793
- Mageia 5 Mass Rebuild

* Wed Aug 06 2014 sander85 <sander85> 4.2.0-1.mga5
+ Revision: 660208
- New version: 4.2.0

* Sat Oct 19 2013 umeabot <umeabot> 4.1.1-2.mga4
+ Revision: 530036
- Mageia 4 Mass Rebuild

* Mon Jul 15 2013 sander85 <sander85> 4.1.1-1.mga4
+ Revision: 454719
- New version: 4.1.1

* Fri Mar 22 2013 fwang <fwang> 4.0.0-2.mga3
+ Revision: 404446
- lock libmajor

* Thu Jan 17 2013 obgr_seneca <obgr_seneca> 4.0.0-1.mga3
+ Revision: 389214
- imported package libspatialite


* Mon Jan 14 2013 Oliver Burger <obgr_seneca@mageia.org> 4.0.0-1.mga3
- Imported package libspatialite

